## org.biojava.bio.gui.sequence
Class PeptideDigestRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.MultiLineRenderer
              org.biojava.bio.gui.sequence.AbstractPeptideDigestRenderer
                  org.biojava.bio.gui.sequence.PeptideDigestRenderer

All Implemented Interfaces:
  Serializable, SequenceRenderer, Changeable

    public class PeptideDigestRenderer

extends AbstractPeptideDigestRenderer

A concrete AbstractPeptideDigestRenderer. The features matching the given FeatureFilter are rendered as blue arrows.

Since:
  1.5
Author:
  Mark Southern
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.SequenceRenderer
`SequenceRenderer.RendererForwarder`

Field Summary
`static ChangeType` `DIGEST`

Fields inherited from class org.biojava.bio.gui.sequence.AbstractPeptideDigestRenderer
`LANE`

Fields inherited from class org.biojava.bio.gui.sequence.MultiLineRenderer
`renderers, RENDERERS`

Constructor Summary
`PeptideDigestRenderer(FeatureSource source)`
`PeptideDigestRenderer(FeatureSource source, FeatureFilter filter)`
`PeptideDigestRenderer(FeatureSource source, FeatureFilter filter, int distanceBetweenFeatures)`

Method Summary
`FeatureRenderer` `createRenderer(int lane)`
`Paint` `getDefaultPaint()`
`void` `setDefaultPaint(Paint p)`

Methods inherited from class org.biojava.bio.gui.sequence.AbstractPeptideDigestRenderer
`doRefreshRenderers, doSortPeptides, getDistanceBetweenFeatures, getFeatureSource, getFilter, setDistanceBetweenFeatures, setFeatureSource, setFilter, sortPeptidesIntoLanes`

Methods inherited from class org.biojava.bio.gui.sequence.MultiLineRenderer
`_addRenderer, _removeRenderer, addRenderer, clearRenderers, getChangeSupport, getDepth, getMinimumLeader, getMinimumTrailer, paint, processMouseEvent, removeRenderer`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIGEST

    public static final ChangeType DIGEST

Constructor Detail

### PeptideDigestRenderer

    public PeptideDigestRenderer(FeatureSource source)

### PeptideDigestRenderer

    public PeptideDigestRenderer(FeatureSource source,
                                 FeatureFilter filter)

### PeptideDigestRenderer

    public PeptideDigestRenderer(FeatureSource source,
                                 FeatureFilter filter,
                                 int distanceBetweenFeatures)

Method Detail

### setDefaultPaint

    public void setDefaultPaint(Paint p)

### getDefaultPaint

    public Paint getDefaultPaint()

### createRenderer

    public FeatureRenderer createRenderer(int lane)

  Specified by:
    `createRenderer` in class `AbstractPeptideDigestRenderer`